> For the complete documentation index, see [llms.txt](https://docs.petabox.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.petabox.io/http-api-compatible-with-amazon-s3/api-reference/getbucketlocation.md).

# GetBucketLocation

Returns the Region the bucket resides in

You set the bucket's Region using the `LocationConstraint` request parameter in a `CreateBucket` request.&#x20;

To use this API operation against an access point, provide the alias of the access point in place of the bucket name.

{% hint style="info" %}
**Note**

We recommend you to use HeadBucket to return the Region that a bucket resides in. For backward compatibility, Petabox continues to support GetBucketLocation.
{% endhint %}

## Request Syntax <a href="#api_getbucketlocation_requestsyntax" id="api_getbucketlocation_requestsyntax"></a>

```http
GET /?location HTTP/1.1
Host: Bucket.s3.petabox.io
x-amz-expected-bucket-owner: ExpectedBucketOwner
```

## URI Request Parameters <a href="#api_getbucketlocation_requestparameters" id="api_getbucketlocation_requestparameters"></a>

The request uses the following URI parameters.

#### Bucket

The name of the bucket for which to get the location.

Required: Yes

#### x-amz-expected-bucket-owner

The account ID of the expected bucket owner. If the bucket is owned by a different account, the request fails with the HTTP status code `403 Forbidden` (access denied).

## Request Body <a href="#api_getbucketlocation_requestbody" id="api_getbucketlocation_requestbody"></a>

The request does not have a request body.

## Response Syntax <a href="#api_getbucketlocation_responsesyntax" id="api_getbucketlocation_responsesyntax"></a>

```xml
HTTP/1.1 200
<?xml version="1.0" encoding="UTF-8"?>
<LocationConstraint>
   <LocationConstraint>string</LocationConstraint>
</LocationConstraint>
```

## Response Elements <a href="#api_getbucketlocation_responseelements" id="api_getbucketlocation_responseelements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in XML format by the service.

#### LocationConstraint

Root level tag for the LocationConstraint parameters.

Required: Yes

#### LocationConstraint

Specifies the Region where the bucket resides.&#x20;

Buckets in Region `us-east-1` have a LocationConstraint of `null`.

Type: String

Valid Values: `af-south-1 | ap-east-1 | ap-northeast-1 | ap-northeast-2 | ap-northeast-3 | ap-south-1 | ap-southeast-1 | ap-southeast-2 | ap-southeast-3 | ca-central-1 | cn-north-1 | cn-northwest-1 | EU | eu-central-1 | eu-north-1 | eu-south-1 | eu-west-1 | eu-west-2 | eu-west-3 | me-south-1 | sa-east-1 | us-east-2 | us-gov-east-1 | us-gov-west-1 | us-west-1 | us-west-2`

## Examples <a href="#api_getbucketlocation_examples" id="api_getbucketlocation_examples"></a>

### Sample Request <a href="#api_getbucketlocation_example_1" id="api_getbucketlocation_example_1"></a>

The following request returns the Region of the specified bucket.

```http
GET /?location HTTP/1.1
Host: myBucket.s3.petabox.io
Date: Tue, 09 Oct 2007 20:26:04 +0000
Authorization: signatureValue       
```

### Sample Response <a href="#api_getbucketlocation_example_2" id="api_getbucketlocation_example_2"></a>

This example illustrates one usage of GetBucketLocation.

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LocationConstraint xmlns="http://s3.petabox.io/doc/2006-03-01/">us-west-2</LocationConstraint>     
```
